Package org.apache.any23.validator

## Class DefaultValidatorTest

- java.lang.Object
- - org.apache.any23.validator.DefaultValidatorTest

-     public class DefaultValidatorTest
      extends Object

  Test case for `DefaultValidator`.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultValidatorTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DOMDocument` | `loadDocument​(String document)` |
    `void` | `setUp()` |
    `void` | `tearDown()` |
    `void` | `testAboutNotIRIRule()` |
    `void` | `testMetaNameMisuse()` |
    `void` | `testMissingItemscopeAttributeValue()` |
    `void` | `testMissingOGNamespace()` |
    `void` | `testRegisterRule()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultValidatorTest

          public DefaultValidatorTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### tearDown

          public void tearDown()

    - #### testRegisterRule

          public void testRegisterRule()

    - #### testMissingOGNamespace

          public void testMissingOGNamespace()
                                      throws IOException,
                                             ValidatorException,
                                             URISyntaxException

      Throws:
        `IOException`
        `ValidatorException`
        `URISyntaxException`

    - #### testMissingItemscopeAttributeValue

          public void testMissingItemscopeAttributeValue()
                                                  throws IOException,
                                                         URISyntaxException,
                                                         ValidatorException

      Throws:
        `IOException`
        `URISyntaxException`
        `ValidatorException`

    - #### testMetaNameMisuse

          public void testMetaNameMisuse()
                                  throws Exception

      Throws:
        `Exception`

    - #### testAboutNotIRIRule

          public void testAboutNotIRIRule()
                                   throws Exception

      Throws:
        `Exception`

    - #### loadDocument

          public static DOMDocument loadDocument​(String document)
                                          throws IOException,
                                                 URISyntaxException

      Throws:
        `IOException`
        `URISyntaxException`